using Fantasy;
using Fantasy.Entitas;

namespace NB.Map;

public static class MapUnitFactory
{
    /// <summary>
    /// 创建一个新的Player
    /// </summary>
    /// <param name="scene"></param>
    /// <param name="aId">ToKen令牌传递过来的aId</param>
    /// <returns></returns>
    public static MapUnit Create(Scene scene, long aId)
    {
        var player = Entity.Create<MapUnit>(scene, aId, true, true);
        return player;
    }
}